Bug 173606 - [exp-run] devel/bison: update to 2.6.5
[exp-run] devel/bison: update to 2.6.5
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Johan van Selst
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-13 15:10 UTC by Johan van Selst
Modified: 2013-02-24 17:50 UTC (History)
0 users

See Also:


Attachments
file.diff (1.97 KB, patch)
2012-11-13 15:10 UTC, Johan van Selst
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Johan van Selst freebsd_committer 2012-11-13 15:10:00 UTC
	
	The attached patch updates bison to the latest release, 2.6.5.
	This release fixes the (minor) bugs that were present in the
	previous 2.6.x releases - which we skipped.

	This port update also fixes the NLS option check and adds perl
	as a mandatory build dependency.

	As customary for bison, an exp-run is requested.
Comment 1 Edwin Groothuis freebsd_committer 2012-11-13 15:10:39 UTC
Responsible Changed
From-To: freebsd-ports-bugs->johans

Submitter is maintainer and has GNATS access (via the GNATS Auto Assign 
Tool)
Comment 2 Johan van Selst freebsd_committer 2012-11-17 15:46:55 UTC
Responsible Changed
From-To: johans->portmgr

Assign exp-run request to portmgr
Comment 3 johans 2012-12-18 18:33:46 UTC
Bison development has moved fast and version 2.7 has been released recently.
It passes all my tests and is ready for an exp-run. Please run with this
version if the exp-run hasn't started yet. The diff below is against the
current ports version and includes earlier patches.


diff -u bison.orig/Makefile bison/Makefile
--- bison.orig/Makefile	2012-11-17 06:55:35.000000000 +0100
+++ bison/Makefile	2012-12-18 19:05:25.000000000 +0100
@@ -1,12 +1,8 @@
-# Ports collection makefile for:  bison
-# Date created:			  27 Mar 1999
-# Whom:				  Jerry Hicks
-#
+# Created by: Jerry Hicks
 # $FreeBSD: ports/devel/bison/Makefile,v 1.70 2012/11/17 05:55:35 svnexp Exp $
-#
 
 PORTNAME=	bison
-PORTVERSION=	2.5.1
+PORTVERSION=	2.7
 PORTEPOCH=	1
 CATEGORIES=	devel
 MASTER_SITES=	${MASTER_SITE_GNU}
@@ -19,6 +15,7 @@
 RUN_DEPENDS=	gm4:${PORTSDIR}/devel/m4
 
 USE_XZ=		yes
+USE_PERL5_BUILD=yes
 GNU_CONFIGURE=	yes
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
@@ -45,7 +42,7 @@
 post-extract:
 	@${RM} -f ${WRKSRC}/doc/bison.info*
 	@${REINPLACE_CMD} 's/MANS = yacc.1/MANS =/' ${WRKSRC}/doc/Makefile.in
-.if empty(${PORT_OPTIONS:MNLS})
+.if ! ${PORT_OPTIONS:MNLS}
 	@${REINPLACE_CMD} 's/ install-exec-local//' ${WRKSRC}/lib/Makefile.in
 .endif
 
diff -u bison.orig/distinfo bison/distinfo
--- bison.orig/distinfo	2012-06-28 00:21:02.000000000 +0200
+++ bison/distinfo	2012-12-12 23:25:40.000000000 +0100
@@ -1,2 +1,2 @@
-SHA256 (bison-2.5.1.tar.xz) = fec90caed650270484955ba6ee73ddb01186608799a27fcaaf868e5274c030d8
-SIZE (bison-2.5.1.tar.xz) = 1608376
+SHA256 (bison-2.7.tar.xz) = 43d8c5c466486031d5e7195a152ff49651ccac91599692e788b5ec5b693ca7fd
+SIZE (bison-2.7.tar.xz) = 1776640
diff -u bison.orig/pkg-plist bison/pkg-plist
--- bison.orig/pkg-plist	2012-06-28 00:21:02.000000000 +0200
+++ bison/pkg-plist	2012-12-18 19:10:50.000000000 +0100
@@ -4,6 +4,7 @@
 %%DATADIR%%/bison.m4
 %%DATADIR%%/c++-skel.m4
 %%DATADIR%%/c++.m4
+%%DATADIR%%/c-like.m4
 %%DATADIR%%/c-skel.m4
 %%DATADIR%%/c.m4
 %%DATADIR%%/glr.c
@@ -71,6 +72,8 @@
 %%NLS%%share/locale/ru/LC_MESSAGES/bison.mo
 %%NLS%%share/locale/sl/LC_MESSAGES/bison-runtime.mo
 %%NLS%%share/locale/sr/LC_MESSAGES/bison-runtime.mo
+%%NLS%%share/locale/sr/LC_MESSAGES/bison.mo
+%%NLS%%share/locale/sq/LC_MESSAGES/bison-runtime.mo
 %%NLS%%share/locale/sv/LC_MESSAGES/bison-runtime.mo
 %%NLS%%share/locale/sv/LC_MESSAGES/bison.mo
 %%NLS%%share/locale/th/LC_MESSAGES/bison-runtime.mo
Comment 4 Martin Wilke freebsd_committer 2013-02-19 12:07:48 UTC
Responsible Changed
From-To: portmgr->miwi

take for exprun
Comment 5 Martin Wilke freebsd_committer 2013-02-19 12:15:50 UTC
State Changed
From-To: open->feedback

exp-run have been started 
http://astroboy.sytes.net:1288/pkg/logs/bulk/91amd64/default/
Comment 6 Martin Wilke freebsd_committer 2013-02-24 16:33:01 UTC
State Changed
From-To: feedback->open

exp-run is over
Comment 7 Martin Wilke freebsd_committer 2013-02-24 16:33:36 UTC
Responsible Changed
From-To: miwi->johans

exprun is over. and approved.
Comment 8 Johan van Selst freebsd_committer 2013-02-24 17:46:19 UTC
State Changed
From-To: open->closed

Committed. miwi: Thanks for the exp-run!
Comment 9 dfilter freebsd_committer 2013-02-24 17:46:23 UTC
Author: johans
Date: Sun Feb 24 17:46:08 2013
New Revision: 312885
URL: http://svnweb.freebsd.org/changeset/ports/312885

Log:
  Update bison to 2.7
  http://lists.gnu.org/archive/html/help-bison/2012-12/msg00008.html
  
  PR:             ports/173606
  Exp-run by:     miwi

Modified:
  head/devel/bison/Makefile
  head/devel/bison/distinfo
  head/devel/bison/pkg-plist   (contents, props changed)

Modified: head/devel/bison/Makefile
==============================================================================
--- head/devel/bison/Makefile	Sun Feb 24 17:40:22 2013	(r312884)
+++ head/devel/bison/Makefile	Sun Feb 24 17:46:08 2013	(r312885)
@@ -1,12 +1,8 @@
-# Ports collection makefile for:  bison
-# Date created:			  27 Mar 1999
-# Whom:				  Jerry Hicks
-#
+# Created by: Jerry Hicks
 # $FreeBSD$
-#
 
 PORTNAME=	bison
-PORTVERSION=	2.5.1
+PORTVERSION=	2.7
 PORTEPOCH=	1
 CATEGORIES=	devel
 MASTER_SITES=	${MASTER_SITE_GNU}
@@ -19,6 +15,7 @@ BUILD_DEPENDS=	gm4:${PORTSDIR}/devel/m4
 RUN_DEPENDS=	gm4:${PORTSDIR}/devel/m4
 
 USE_XZ=		yes
+USE_PERL5_BUILD=yes
 GNU_CONFIGURE=	yes
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
@@ -45,7 +42,7 @@ PLIST_SUB+=	NLS="@comment "
 post-extract:
 	@${RM} -f ${WRKSRC}/doc/bison.info*
 	@${REINPLACE_CMD} 's/MANS = yacc.1/MANS =/' ${WRKSRC}/doc/Makefile.in
-.if empty(${PORT_OPTIONS:MNLS})
+.if ! ${PORT_OPTIONS:MNLS}
 	@${REINPLACE_CMD} 's/ install-exec-local//' ${WRKSRC}/lib/Makefile.in
 .endif
 

Modified: head/devel/bison/distinfo
==============================================================================
--- head/devel/bison/distinfo	Sun Feb 24 17:40:22 2013	(r312884)
+++ head/devel/bison/distinfo	Sun Feb 24 17:46:08 2013	(r312885)
@@ -1,2 +1,2 @@
-SHA256 (bison-2.5.1.tar.xz) = fec90caed650270484955ba6ee73ddb01186608799a27fcaaf868e5274c030d8
-SIZE (bison-2.5.1.tar.xz) = 1608376
+SHA256 (bison-2.7.tar.xz) = 43d8c5c466486031d5e7195a152ff49651ccac91599692e788b5ec5b693ca7fd
+SIZE (bison-2.7.tar.xz) = 1776640

Modified: head/devel/bison/pkg-plist
==============================================================================
--- head/devel/bison/pkg-plist	Sun Feb 24 17:40:22 2013	(r312884)
+++ head/devel/bison/pkg-plist	Sun Feb 24 17:46:08 2013	(r312885)
@@ -4,6 +4,7 @@ share/aclocal/bison-i18n.m4
 %%DATADIR%%/bison.m4
 %%DATADIR%%/c++-skel.m4
 %%DATADIR%%/c++.m4
+%%DATADIR%%/c-like.m4
 %%DATADIR%%/c-skel.m4
 %%DATADIR%%/c.m4
 %%DATADIR%%/glr.c
@@ -71,6 +72,8 @@ share/aclocal/bison-i18n.m4
 %%NLS%%share/locale/ru/LC_MESSAGES/bison.mo
 %%NLS%%share/locale/sl/LC_MESSAGES/bison-runtime.mo
 %%NLS%%share/locale/sr/LC_MESSAGES/bison-runtime.mo
+%%NLS%%share/locale/sr/LC_MESSAGES/bison.mo
+%%NLS%%share/locale/sq/LC_MESSAGES/bison-runtime.mo
 %%NLS%%share/locale/sv/LC_MESSAGES/bison-runtime.mo
 %%NLS%%share/locale/sv/LC_MESSAGES/bison.mo
 %%NLS%%share/locale/th/LC_MESSAGES/bison-runtime.mo
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"